/* select all on the page */
*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
  /* force inheritance to body border box */
}

html {
  /* not 16px because it's easier to calculate with rem
  it allows us to divide all pixeled font sizes to 10 to convert them in rem
  
  62.5% === 10px <=> root font size
  */

  // This defines what 1rem is
  font-size: 62.5%; // 1rem = 10px, 10px/16px = 62.5%

  @include respond(tab-land) {
    // widht < 900px ?
    font-size: 56.25%; // 1rem = 9px/16px = 56.25%
  }

  @include respond(tab-port) {
    // width < 600px
    font-size: 50%; // 1rem = 8px/16px = 50%
  }

  @include respond(big-desktop) {
    font-size: 75%; // 1rem = 12px/16px = 75%
  }
}

body {
  /* border-box allows to not add to the total width or height the borders */
  box-sizing: border-box;
  padding: 3rem;

  @include respond(md) {
    padding: 0;
  }
}
